% example of group L2,1 norm regression 

%% read data from csv files
p_file = {'../00_data/example_data.xlsx','X'};
r_file = {'../00_data/example_data.xlsx','Y'};
group_file = {'../00_data/example_data.xlsx','group'};

predictor = xlsread(p_file{1},p_file{2});
response = xlsread(r_file{1}, r_file{2});
group = xlsread(group_file{1}, group_file{2});

%% data preprocessing
cd('../02_data_preprocessing')
% remove subjects with empty or NaN entries
[predictor, response] = datacheck(predictor, response);
% normalize the data
x_normalize = normalization(predictor);
y_normalize = normalization(response);

%% main regression function
% Set parameters
para1 = 10;
para2 = 10;
cd('../03_regression_code');
[W,obj] = R_GL21(x_normalize',y_normalize', group, para1, para2);

%%
clearvars -except W obj

